# Load the normal support files.
require 'sketchup.rb'
require 'extensions.rb'


# Create the extension.
ext = SketchupExtension.new('Texture Resizer',
    'ae_TextureResizer/TextureResizer.rb')

# Attach some nice info.
ext.creator     = 'Aerilius'
ext.version     = '1.5.7'
ext.copyright   = '2011-2013, Andreas Eisenbarth'
ext.description = 'Downsamples all textures in the model by percentage or dependend on texture size in model.'

# Register and load the extension on startup.
Sketchup.register_extension(ext, true)
